StackMoreLayersДокументация
APIReference

Создать фазу

POST
/competitions/{competition_id}/phases/
АвторизацияBearer <token>

StackMoreLayers API token. Send as Authorization: Bearer sml_pat_live_<prefix>.<secret>.

In: header

Параметры пути

competition_id*integer

Numeric competition identifier.

Range1 <= value

Заголовки

Idempotency-Key?string

Opaque client-generated key. A retry with the same key and body returns the original result instead of repeating the effect.

Match^[!-~]+$
Length8 <= length <= 128

Тело запроса

application/json

Типы TypeScript

Use the request body type in TypeScript.

Ответ

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/competitions/1/phases/" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "personal_time_limit_seconds": 1,  "id": 0,  "index": 0,  "name": "string",  "description": "string",  "start": "2019-08-24T14:15:22Z",  "end": "2019-08-24T14:15:22Z",  "max_submissions_per_day": 0,  "max_submissions_per_person": 0,  "submission_kind": "string",  "has_max_submissions": true,  "allow_notebook_submit": true,  "final_selection_max": 0,  "public_data_binding_mode": "string",  "binding": {    "state": "string",    "revision": 1,    "method": {      "digest": "string",      "kind": "string",      "name": "string",      "metric": {        "key": "string",        "label": "string",        "direction": "string"      }    },    "solution_ready": true,    "solution_build_pending": true,    "submission_format": {      "format": "string",      "columns": [        {          "name": "string",          "type": "string"        }      ]    },    "accepts_submissions": true  },  "leaderboard_title": "string",  "primary_metric_title": "string",  "primary_metric_key": "string",  "primary_metric_sort": "string"}